package garcia.alex.talia.entity.projectile;

import java.util.Random;

import garcia.alex.talia.entity.Entity;
import garcia.alex.talia.graphics.Sprite;

public abstract class Projectile extends Entity{
	
	protected final int xOrigin, yOrigin;
	protected double angle;
	protected Sprite sprite;
	protected double x, y;
	protected double nx, ny;//new vector angles
	protected double distance;
	protected double speed, range, damage;
	protected Random r = new Random();
	
	public Projectile(int x, int y, double dir){
		xOrigin = x;
		yOrigin = y;
		angle = dir;
		this.x = x;
		this.y = y;
	}
	
	public Sprite getSprite(){
		return sprite;
	}
	
	public int getSpriteSize(){
		return sprite.SIZE;
	}
	
	protected void move(){
		
	}
	
}//end entity
