package garcia.alex.talia.input;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class Keyboard implements KeyListener{

		/*
		 * These are all of the declared and/or initialized variables
		 */
	private boolean[] keys = new boolean[65536];
	public boolean up, down, left, right, f3;
	
		/*
		 * These are all of the methods
		 */
	public void update() {
		up = keys[KeyEvent.VK_UP] || keys[KeyEvent.VK_W];
		down = keys[KeyEvent.VK_DOWN] || keys[KeyEvent.VK_S];
		left = keys[KeyEvent.VK_LEFT] || keys[KeyEvent.VK_A];
		right = keys[KeyEvent.VK_RIGHT] || keys[KeyEvent.VK_D];
		
		f3 = keys[KeyEvent.VK_F3];
		
		//for (int i = 0; i < keys.length; i++){     //this block of code prints the number of a pressed key
		//	if (keys[i]){
		//		System.out.println("Key: " + i);
		//	}
		//}
	}//end of update
	
	public void keyPressed(KeyEvent e) {
		keys[e.getKeyCode()] = true;
	}//end of keypressed

	public void keyReleased(KeyEvent e) {
		keys[e.getKeyCode()] = false;
	}//end of keyreleased
	
	public void keyTyped(KeyEvent e) {
	}//end of keytyped

}//end of keyboard class
