package garcia.alex.talia.level;

import java.util.Random;

public class RandomLevel extends Level {

	/*
	 * These are all of the declared and/or initialized variables
	 */
	private static final Random random = new Random();
	
	/*
	 * These are all of the methods
	 */
	public RandomLevel(int width, int height) {
		super(width, height);//super means that it will overide the similar paramaters in the level class
	}//end RandomLevel

	protected void generateLevel(){
		for (int y = 0; y < height; y++){
			for (int x = 0; x < width; x++){
				tiles[x + y * width] = random.nextInt(100);
			}//end x for loop
		}//end y for loop
	}//end generate level
	
}//end randomlevel class
